<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSigeglebasTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sige.glebas', function(Blueprint $table)
		{
			$table->bigInteger('id')->primary('glebas_pkey');
			$table->string('nome_oficial_registro', 200)->nullable();
			$table->string('descricao_livro')->nullable();
			$table->string('numero_processo')->nullable();
			$table->string('folha')->nullable();
			$table->string('nome', 100)->nullable();
			$table->dateTime('data_publicacao_diario_oficial')->nullable();
			$table->string('nome_escrevente')->nullable();
			$table->dateTime('data_registro')->nullable();
			$table->string('numero_diario_oficial', 50)->nullable();
			$table->string('endereco_cartorio', 200)->nullable();
			$table->string('matricula')->nullable();
			$table->string('ato_arrecadacao')->nullable();
			$table->string('descricao_registro')->nullable();
			$table->string('numero_ficha')->nullable();
			$table->string('nome_cartorio', 200)->nullable();
			$table->decimal('area', 19, 4)->nullable();
			$table->bigInteger('municipio_id')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('sige.glebas');
	}

}
